#!/bin/sh

TESTNAME=t05
DGC=/usr/bin/dgc
EXAMPLE=/usr/share/dgc/example.nex
GENLIB=/usr/share/dgc/default.genlib

if [ ! -f $DGC ]; then
    echo "$DGC doesn't exist"
    exit 1
fi

if [ ! -f $EXAMPLE ]; then
    echo "$EXAMPLE doesn't exist"
    exit 1
fi

if [ ! -f $GENLIB ]; then
    echo "$GENLIB doesn't exist"
    exit 1
fi

$DGC -flatten $EXAMPLE -lib $GENLIB -ov tmp

TEST=`grep -c "nand3" tmp`
if [ $TEST -ne 4 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c "and2" tmp`
if [ $TEST -ne 19 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c "nand2" tmp`
if [ $TEST -ne 2 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c "nor2" tmp`
if [ $TEST -ne 2 ]; then
    echo "$TEST ... failed"
    exit 1
fi

echo "$TESTNAME ... success."
echo "Removing $TESTNAME tmp"
rm tmp
